:root {
    --main: #886b33;
    --dark: #332211;
    --light: #dfe0df;
    --contrast: #000000
}

*, *::after, *::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

@font-face {
    font-family: Montserrat;
    src: url(/_assets/font/Montserrat-VariableFont_wght.ttf);
}

html {
    font-size: 14px;
    width: 100%;
    max-width: 100%;
    overflow-x: clip;    
    font-family: Montserrat, sans-serif;
}

@media (max-width: 768px){
    html {
        font-size: 12px;
    }
}

body {
    width: 100%;
    max-width: 100%;
    overflow-x: clip;
}

.container {
    width: min(1150px, 93%);
    height: 100%;
    margin: 0 auto;
}

a {
    text-decoration: none;
    color: inherit;
    font-family: inherit;
}

.background-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
    object-fit: cover;
}

.background-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.web-title {
    font-weight: bold;
    font-size: 3rem;
    margin-bottom: 2rem;
    line-height: 1.5;
}

.title {
    font-weight: bold;
    font-size: 2rem;
    line-height: 1.5;
    margin-bottom: 1rem;
}

.text {
    line-height: 1.5;
    font-size: 1.2rem;
}

.text-center {
    text-align: center;
}

/* --------------------------------- search bar*/

#search-bar {
    height: 4rem;
    width: 100%;
    padding-top: 1rem;
    background-color: var(--dark);
}

#search-form {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

#search {
    padding: .5rem;
    width: 100%;
    font-family: inherit;
}

#search-form button {
    padding: .5rem .7rem;
}

/* --------------------------------- header*/

header {
    width: 100%;
    height: 6rem;
    padding: 1rem 0;
    position: sticky;
    top: 0;
    box-shadow: 0px 4px 8px rgba(0,0,0,0.15);
    background-color: var(--dark);
    z-index: 1000;
    color: white;
}

header .container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    background-color: inherit;
}

#header-home {
    height: 100%;
}

#header-home img {
    height: 100%;
    max-width: 120px;
    object-fit: contain;
}

#mobile-dropdown-label {
    padding: .5rem .7rem;
    font-size: 1.5rem;
    display: none;
}

nav {
    display: flex;
    flex-direction: row;
    gap: .5rem;
}

.nav-link {
    padding: .7rem 1rem;
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
    transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
}

.nav-link:hover {
    background-color: var(--main);
    color: white;
}

#header-cart-container-mobile-top, .header-cart-container-nav {
    width: fit-content;
    min-width: 150px;
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    color: inherit;
    transition: all .15s ease-in-out;
    -webkit-transition: all .15s ease-in-out;
    -moz-transition: all .15s ease-in-out;
    -ms-transition: all .15s ease-in-out;
    -o-transition: all .15s ease-in-out;
}

#header-cart-container-mobile-top:hover {
    background-color: var(--main);
    color: white;
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

.header-cart-container-nav {
    display: none;
}

.cart-amount {
    white-space: nowrap;
}

.cart-qty {
    position: relative;
    font-size: 1.2rem;
}

.cart-qty-icon {
    font-size: 0.6rem;
    position: absolute;
    background-color: red;
    aspect-ratio: 1;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    top: -30%;
    right: -50%;
    padding: 0rem;
    height: 80%;
    color: white;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

@media (max-width: 1100px){
    header .container {
        align-items: center;
    }
    
    #mobile-dropdown-label {
        display: block;
    }

    nav {
        position: absolute;
        top: 100%;
        left: 0;
        background-color: rgba(255,255,255,0.5);
        width: 100%;
        height: 100dvh;
        flex-direction: column;
        gap: 0;
        display: none;
        z-index: 1000;
}

    #mobile-dropdown-button:checked ~ nav {
        display: flex;
    }

    .nav-link {
        border-bottom: 1px solid lightgray;
        text-align: center;
        padding: 1rem 0;
        background-color: white;
    }

    #header-cart-container-mobile-top {
        position: absolute;
        top: 100%;
        left: 0;
        background-color: inherit;
        width: 100%;
        height: fit-content;
        padding: 1rem 0;
        box-shadow: 0px 4px 8px rgba(0,0,0,0.15);
        display: none;
    }

    .header-cart-container-nav {
        display: flex;
        width: 100%;
        padding: 2rem 0 1rem 0;
        height: fit-content;
        background-color: white;
        box-shadow: 0px 4px 8px rgba(0,0,0,0.15);
    }
}

/* --------------------------------- footer */

#footer {
    padding-top: 5rem;
    background-color: var(--contrast);
    color: white;
}

#footer .container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    gap: 2rem;
}

.footer-text {
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1rem;
    font-size: 1.1rem;
}

.footer-link {
    width: 100%;
    padding: .7rem;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    border-radius: 7px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    -ms-border-radius: 7px;
    -o-border-radius: 7px;
}

.footer-title {
    font-size: 1.35rem;
}

.footer-text hr {
    background-color: 1px solid var(--light);
    width: 100%;
}

#footer-logo {
    width: 50%;
    max-width: 250px;
}

.footer-text i {
    margin-right: 1rem;
}

.footer-link:hover {
    background-color: var(--main);
    color: white;
}

#footer-copyright {
    padding: .5rem;
    text-align: center;
    background-color: var(--main);
    margin-top: 2rem;
}

@media (max-width: 768px){
    #footer .container {
        flex-direction: column;
    }

    .footer-text {
        width: 100%;
    }

    #footer-logo {
        margin: 0 auto 2rem auto;
    }
}